<template>
  <el-table
    :data="this.points"
    fit
    class="--grey"
    highlight-current-row
    style="width: 100%;">
    <el-table-column label="Aktivitas Poin" align="left">
      <template slot-scope="scope">
        <b>{{ scope.row.event_name }}</b>
      </template>
    </el-table-column>
    <el-table-column label="Tanggal dan Jam" width="250" align="right">
      <template slot-scope="scope" class="cell-mid">
        <span>{{ toDate(scope.row.created_at) }}</span>
        <svg-icon icon-class="poin-bertambah" />
      </template>
    </el-table-column>
  </el-table>
</template>

<script>
import moment from 'moment'
export default {
  name: 'DetailPoint',
  computed: {
    points: {
      get: function() {
        return this.$store.state.farmer.detail.points;
      }
    }
  },
  methods: {
    toDate(value) {
      return moment(String(value)).format('DD/MM/YYYY hh:mm:ss')
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  @import '@/styles/variables.scss';
  @import '@/styles/mixin.scss';
  h4 {
    @include ritx-bold;
    font-size: 16px;
    text-align: right;
    color: $ritx-dark-green;
  }

  h5 {
    color: $ritx-dark-green;
    @include ritx-bold;
  }

  .svg-icon {
    width: 25px;
    height: 25px;
    margin-left: 10px;
    vertical-align: bottom;
  }
  </style>
